Bug 201208 - Allow to dynamically create additional editor tabs for C/C++ files
Allow to dynamically create additional editor tabs for C/C++ files
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Editor
7.0
All All
: P2 (vote)
: 7.0.1
Assigned To: Vladimir Kvashin
issues@cnd
701patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-22 12:43 UTC by Vladimir Kvashin
Modified: 2011-09-26 13:31 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
proposed fix (5.65 KB, patch)
2011-08-25 15:33 UTC, Vladimir Kvashin
Details | Diff
Proof of concept; it shows that the proposed fix suites blacktie needs (18.07 KB, patch)
2011-08-25 15:35 UTC, Vladimir Kvashin
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kvashin 2011-08-22 12:43:51 UTC
For Studio Blacktie project it is necessary to add a possibility of dynamically creating additional editor tabs for C/C++ files. Necessary change was done in cnd-main, but Studio needs this in 7.0.1 context.  Absence of this doesn't allow to build Studio Blacktie project.
Comment 1 Alexander Pepin 2011-08-22 13:09:58 UTC
Please fix and integrate the fix by the end of the week.
Comment 2 Vladimir Kvashin 2011-08-25 15:33:55 UTC
Created attachment 110217 [details]
proposed fix
Comment 3 Vladimir Kvashin 2011-08-25 15:35:15 UTC
Created attachment 110218 [details]
Proof of concept; it shows that the proposed fix suites blacktie needs
Comment 4 Vladimir Kvashin 2011-08-25 16:58:25 UTC
Fixed in releases_elif, change set 204767:d65b8293c807
Comment 5 Alexander Pepin 2011-08-26 11:03:47 UTC
Verified in dev build #33 (20110826)
Comment 6 Alexander Simon 2011-08-26 11:09:46 UTC
fix transplanted to releases branch release701_fixes
d65b8293c807 transplanted to 25b4851cb8f6
Comment 7 Quality Engineering 2011-08-27 04:18:37 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/25b4851cb8f6
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: Fixed #201208 - Allow to dynamically create additional editor tabs for C/C++ files
Comment 8 Alexander Pepin 2011-08-29 10:50:25 UTC
verified in 7.0.1 patch1.
Comment 9 Quality Engineering 2011-09-26 13:31:22 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/d65b8293c807
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: Fixed #201208 - Allow to dynamically create additional editor tabs for C/C++ files


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo